function [invA] = vinv(A)
%BEGINDOC=================================================================
% .Author.
%
%  Jaroslav Horacek
%
%-------------------------------------------------------------------------
% .Description.
%
%   computes inversion matrix to a real matrix A
%
%-------------------------------------------------------------------------
% .Input parameters.
%   
%   A ...  interval or real matrix 
%
%------------------------------------------------------------------------
% .Output parameters.
%
%   invA ...  inverse matrix
%
%------------------------------------------------------------------------
% .Implementation details. 
%
%   uses method vsol.m 
%
%------------------------------------------------------------------------
% .Licence.
%  
%   Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.    
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2018-10-08    first version
%
%------------------------------------------------------------------------
% .Todo.
%   
%   flag return
%
%ENDDOC===================================================================


invA = [];

[m, n] = size(A);
iA = infsupdec(A);

if (m != n)
  error('vinv: matri must be n x n');  
end

iI = infsupdec(eye(n));
invA = vsol(iA, iI);

end