function plotboxes1(ix, fcolor)
%BEGINDOC=================================================================
% .Author.
%
%  Jaroslav Horacek
%
%-------------------------------------------------------------------------
% .Description.
%
%   Plots 1 dimensional interval boxes 
%
%
%-------------------------------------------------------------------------
% .Input parameters.
%   
%   ix ... intervals x-axis
%   fcolor ... fill color (light yellow by default)
%
%------------------------------------------------------------------------
% .Output parameters.
%
%
%------------------------------------------------------------------------
% .Implementation details. 
%
%   On horizontal axis there are ix(i), i-th interval is plotted at level i
%   of vertical axit 
%
%------------------------------------------------------------------------
% .License.
%    Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.   
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2018-02-07    first version
%   2018-12-17    holdoff deleted
%
%------------------------------------------------------------------------
% .Todo.
%
%   check the parameter types
%   kdyz ma ix/iy nulovou sirku nevykresli se nic!
%
%ENDDOC===================================================================


if (nargin == 1)
  fcolor = 'b';
end

  len = length(ix);
  for i=1:len
    plot([inf(ix(i)), sup(ix(i))], [i, i], 'linewidth', 2, 'color', fcolor);
  end




end

