function plotboxes2(ix, iy, ecolor, fcolor)
%BEGINDOC=================================================================
% .Author.
%
%  Jaroslav Horacek
%
%-------------------------------------------------------------------------
% .Description.
%
%   Plots 2 dimensional interval boxes
%
%
%-------------------------------------------------------------------------
% .Input parameters.
%   
%   ix ... intervals x-axis
%   iy ... intervals y-axis
%   fcolor ... fill color (light yellow by default)
%   ecolor ... edge color (black by default)
%
%------------------------------------------------------------------------
% .Output parameters.
%
%
%------------------------------------------------------------------------
% .Implementation details. 
%
%
%------------------------------------------------------------------------
% .License.
%    Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.   
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2018-02-04    first version
%   2018-12-17    holdoff deleted
%
%------------------------------------------------------------------------
% .Todo.
%
%   check the parameter types
%   kdyz ma ix/iy nulovou sirku nevykresli se nic!
%
%ENDDOC===================================================================

 
if (nargin == 1)
  error('plotboxes2: Another parameter - interval vector iy - is missing');
end  
  
  
if (nargin == 2)
  %fcolor = [1,1,0.6]
  ecolor = [0.8, 0.8, 0.8];
  %fcolor = [0.5, 0.5, 0.5]
  %ecolor = 'Black';
  len = length(ix);
  for i=1:len
    rectangle('Position', [inf(ix(i)), inf(iy(i)), wid(ix(i)), wid(iy(i))], 'EdgeColor', ecolor);
  end
end
  


if (nargin == 3)
  len = length(ix);
  for i=1:len
    rectangle('Position', [inf(ix(i)), inf(iy(i)), wid(ix(i)), wid(iy(i))], 'EdgeColor', ecolor);
  end
end




  
if (nargin == 4) 
  
  len = length(ix);
  for i=1:len
    rectangle('Position', [inf(ix(i)), inf(iy(i)), wid(ix(i)), wid(iy(i))], 'FaceColor', fcolor, 'EdgeColor', ecolor);
  end
end



end

