function [num, vol] = boxesstat(boxes)
%BEGINDOC=================================================================
% .Author.
%
%  Jaroslav Horacek
%
%-------------------------------------------------------------------------
% .Description.
%  
%  Computes some information about boxes - number, total volume
%
%-------------------------------------------------------------------------
% .Input parameters.
%
%   boxes ... set of boxes
%
%------------------------------------------------------------------------
% .Output parameters.
%
%   num ... umber of boxes
%   vol ... total volume / area of boxes  
%  
%------------------------------------------------------------------------
% .Implementation details. 
%  
%
%------------------------------------------------------------------------
% .Licence.
%  
%   Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.    
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2018-08-04    first version   
%
%------------------------------------------------------------------------
% .Todo.
%
% version for multi dimensions   
%
%ENDDOC===================================================================

[dim, num] = size(boxes);

if dim != 2
  error 'now works only for dimension 2';
end

dms = diam(boxes);

vol = sum( dms(1, :) .* dms(2, :) );



 

end
