function Yn = generateyn(n)
%-------------------------------------------------------------------------
% GENERATEYN
%
% generates set {+1/-1}^n
%------------------------------------------------------------------------
% Copyright (C) 2011  Jaroslav Horacek
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
%    
%-------------------------------------------------------------------------
% History
%       
%   2011-07-15      first version
%
%------------------------------------------------------------------------

z = zeros(1, n);
y = ones(1, n);

% preallocating
%ynsize = 2^n;

%Yn = zeros(ynsize, n);
Yn = [y];

% while y not equal to e
while( any(z == 0) )
    % k is mimimal i for which zi = 0
    k = find( z==0, 1 );
    
    for i = 1:(k-1) 
        z(i) = 0; 
    end
   
    z(k) = 1;
    y(k) = -y(k);
    
    Yn = [Yn; y];    
end
    
    
end