function x = lineintersection(a1, b1, c1, a2, b2, c2)


%BEGINDOC=================================================================
% .Author.
%
%  Jaroslav Horáèek
%
%-------------------------------------------------------------------------
% .Description.
%
%   Returns [x,y] intersection of two 2D lines
%   p1: a1x + b1y = c1
%   p2: a2x + b2y = c2
%
%-------------------------------------------------------------------------
% .Input parameters.
%   
%
%------------------------------------------------------------------------
% .Output parameters.
%
%   x ... point of intersection

%
%------------------------------------------------------------------------
% .Implementation details. 
%  
%------------------------------------------------------------------------
%  .Licence.
%  
%   Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.    
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2018-07-1    first version
%
%------------------------------------------------------------------------
% .Todo.
%   
%   Implement veryfied intersection?
%
%ENDDOC===================================================================


A = [a1 b1; a2 b2];
b = [c1; c2];

x = A \ b;







end